// =====================================================================
//  $Id: TSystemShutdownCommand.cc,v 1.1 2004/03/26 19:48:24 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TSystemShutdownCommand.cc,v $
//  Revision 1.1  2004/03/26 19:48:24  goiwai
//  /run/shutdown を廃止して /system/shutdown にしました。
//
//  Revision 1.4  2004/03/07 10:30:28  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:32  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TSystemShutdownCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/system/shutdown";
static const Tstring _desc = "terminate this session.";

TSystemShutdownCommand::TSystemShutdownCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TSystemShutdownCommand::~TSystemShutdownCommand()
{;}

Tvoid TSystemShutdownCommand::Execute( const TstringList& arguments )
{
  theRunManager -> ShutdownRun();
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TSystemShutdownCommand)
#endif
